2019-01-16 17:18 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002170NetSurfRISC OS-specificpublic2016-02-16 14:03
ReporterSprow 
Assigned To 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
Product Version3.1 
Target VersionFixed in Version3.4 
Summary0002170: When hovered over a link closing the window leaves the wrong mouse pointer shape
DescriptionHovered over a link you get ptr_point as expected, but if Netsurf's window is then closed using a keyboard shortcut (Ctrl-F2) the mouse pointer shape remains that shape. It should change back to ptr_default.
Steps To ReproduceHover over a link, close the window using the keyboard.
Additional InformationFixed in or just before CI #3362. I resubmitted the patch because the line numbers had changed slightly.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files
  • patch file icon window.patch (332 bytes) 2015-08-13 08:34 -
    --- riscos/windoworg.c	2015-08-13 09:17:20.0 +0100
    +++ riscos/window.c	2015-08-13 09:17:20.0 +0100
    @@ -1895,6 +1895,7 @@
     	case IS_WIMP_KEY + wimp_KEY_CONTROL + wimp_KEY_F2:
     		/* Close window. */
     		ro_gui_url_complete_close();
    +		gui_window_set_pointer(g, GUI_POINTER_DEFAULT);
     		browser_window_destroy(g->bw);
     		return true;
     
    
    patch file icon window.patch (332 bytes) 2015-08-13 08:34 +

-Relationships
+Relationships

-Notes
Sprow

~0000901

Sprow (reporter)

Having dug into this a bit more, it seems that the Wimp doesn't send a Pointer Leaving Window reason code when the window has been deleted underneath the pointer, so ro_gui_window_track_end() never gets called when the browser is closed with Ctrl-F2.

Patch manually calls the gui_window_set_pointer() function.
Vincent Sanders

~0001227

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2014-07-13 08:44 Sprow New Issue
2014-07-13 22:02 Vincent Sanders Assigned To => Steve Fryatt
2014-07-13 22:02 Vincent Sanders Status new => acknowledged
2015-08-13 08:34 Sprow File Added: window.patch
2015-08-13 08:39 Sprow Note Added: 0000901
2015-10-31 21:57 Vincent Sanders Assigned To Steve Fryatt =>
2016-02-07 22:26 Dave Higton Status acknowledged => resolved
2016-02-07 22:26 Dave Higton Resolution open => fixed
2016-02-07 22:26 Dave Higton Fixed in Version => 3.4
2016-02-07 22:26 Dave Higton Additional Information Updated View Revisions
2016-02-16 14:03 Vincent Sanders Note Added: 0001227
2016-02-16 14:03 Vincent Sanders Status resolved => closed
+Issue History